blob: c5ea9f76237b7525ca6fd6dce1ce2488603fea55 [file] [log] [blame]
# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g. crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)
[package]
name = "mio"
version = "0.6.11"
authors = ["Carl Lerche <me@carllerche.com>"]
exclude = [".gitignore", ".travis.yml", "deploy.sh"]
description = "Lightweight non-blocking IO"
homepage = "https://github.com/carllerche/mio"
documentation = "https://docs.rs/mio"
readme = "README.md"
keywords = ["io", "async", "non-blocking"]
categories = ["asynchronous"]
license = "MIT"
repository = "https://github.com/carllerche/mio"
[[test]]
name = "test"
path = "test/mod.rs"
[dependencies.iovec]
version = "0.1.1"
[dependencies.net2]
version = "0.2.29"
[dependencies.lazycell]
version = "0.5.0"
[dependencies.slab]
version = "0.3.0"
[dependencies.log]
version = "0.3.1"
[dev-dependencies.bytes]
version = "0.3.0"
[dev-dependencies.env_logger]
version = "0.4.0"
default-features = false
[dev-dependencies.tempdir]
version = "0.3.4"
[features]
with-deprecated = []
default = ["with-deprecated"]
[target."cfg(unix)".dependencies.libc]
version = "0.2.19"
[target."cfg(windows)".dependencies.winapi]
version = "0.2.1"
[target."cfg(windows)".dependencies.miow]
version = "0.2.1"
[target."cfg(windows)".dependencies.kernel32-sys]
version = "0.2"
[target."cfg(target_os = \"fuchsia\")".dependencies.fuchsia-zircon]
version = "0.2.1"
[target."cfg(target_os = \"fuchsia\")".dependencies.fuchsia-zircon-sys]
version = "0.2.0"